diff -pruN 2.3.3-2/debian/changelog 2.3.3-3/debian/changelog
--- 2.3.3-2/debian/changelog	2020-07-29 07:20:56.000000000 +0000
+++ 2.3.3-3/debian/changelog	2020-09-03 07:27:04.000000000 +0000
@@ -1,9 +1,29 @@
+cups (2.3.3-3) unstable; urgency=medium
+
+  [ Didier Raboud ]
+  * Set lintian overrides for non-changeable upstream choices
+  * Add missing Build-Depends-Package in symbols' files
+
+  [ Till Kamppeter ]
+  * Resolve DNS-SD-service-name-based URIs correctly also if they are
+    from a service from localhost (like IPP-over-USB, Printer
+    Application, ...)
+  * Make lpoptions list a printer's options correctly also when CUPS is
+    running on an alternative port
+  * Fix fax numbers supplied via GTK print dialog, removing a "Custom."
+    prefix; do not choke if the GTK dialog sends "None" as phone number
+    or pre-dial prefix
+  * Let the rastertopwg filter check rounding errors when calculating
+    the page geometry
+
+ -- Didier Raboud <odyx@debian.org>  Thu, 03 Sep 2020 09:27:04 +0200
+
 cups (2.3.3-2) unstable; urgency=medium
 
   * Add missing dh-strip-nondeterminism B-D
   * cups-daemon: Add ipp-usb Recommends
 
- -- Didier Raboud <odyx@debian.org>  Wed, 29 Jul 2020 09:20:56 +0200
+ -- Didier Raboud <odyx@debian.org>  Thu, 03 Sep 2020 08:54:55 +0200
 
 cups (2.3.3-1) unstable; urgency=medium
 
diff -pruN 2.3.3-2/debian/cups-core-drivers.lintian-overrides 2.3.3-3/debian/cups-core-drivers.lintian-overrides
--- 2.3.3-2/debian/cups-core-drivers.lintian-overrides	1970-01-01 00:00:00.000000000 +0000
+++ 2.3.3-3/debian/cups-core-drivers.lintian-overrides	2020-09-03 07:27:04.000000000 +0000
@@ -0,0 +1 @@
+cups-core-drivers: executable-in-usr-lib usr/lib/cups/filter/*
diff -pruN 2.3.3-2/debian/cups-daemon.lintian-overrides 2.3.3-3/debian/cups-daemon.lintian-overrides
--- 2.3.3-2/debian/cups-daemon.lintian-overrides	2020-07-29 07:20:56.000000000 +0000
+++ 2.3.3-3/debian/cups-daemon.lintian-overrides	2020-09-03 07:27:04.000000000 +0000
@@ -1,3 +1,7 @@
 cups-daemon: init.d-script-possible-missing-stop etc/init.d/cups 0 6
 # CUPS is WantedBy=printer.target
 cups-daemon: systemd-service-file-refers-to-unusual-wantedby-target lib/systemd/system/cups.service printer.target
+cups-daemon: spare-manual-page usr/share/man/*man8/cups-snmp.8.gz
+cups-daemon: executable-in-usr-lib usr/lib/cups/backend/*
+cups-daemon: executable-in-usr-lib usr/lib/cups/daemon/*
+cups-daemon: executable-in-usr-lib usr/lib/cups/notifier/*
diff -pruN 2.3.3-2/debian/cups.lintian-overrides 2.3.3-3/debian/cups.lintian-overrides
--- 2.3.3-2/debian/cups.lintian-overrides	2020-07-29 07:20:56.000000000 +0000
+++ 2.3.3-3/debian/cups.lintian-overrides	2020-09-03 07:27:04.000000000 +0000
@@ -1,6 +1,15 @@
-cups: non-standard-executable-perm usr/lib/cups/backend-available/lpd 0744 != 0755
-cups: non-standard-executable-perm usr/lib/cups/backend-available/dnssd 0744 != 0755
-cups: non-standard-executable-perm usr/lib/cups/backend-available/usb 0744 != 0755
+cups: executable-in-usr-lib usr/lib/cups/backend-available/*
+cups: executable-in-usr-lib usr/lib/cups/cgi-bin/*
+cups: executable-in-usr-lib usr/lib/cups/daemon/*
+cups: executable-in-usr-lib usr/lib/cups/filter/*
+cups: executable-in-usr-lib usr/lib/cups/monitor/*
+cups: non-standard-executable-perm usr/lib/cups/backend-available/* 0744 != 0755
 cups: package-contains-empty-directory usr/lib/cups/driver/
 cups: package-contains-empty-directory usr/share/ppd/custom/
 cups: package-contains-empty-directory usr/share/cups/ppd-updaters/
+cups: spare-manual-page usr/share/man/*man1/cups.1.gz
+cups: spare-manual-page usr/share/man/*man8/cups-deviced.8.gz
+cups: spare-manual-page usr/share/man/*man8/cups-driverd.8.gz
+cups: spare-manual-page usr/share/man/*man8/cups-exec.8.gz
+cups: spare-manual-page usr/share/man/*man8/cups-lpd.8.gz
+cups: spare-manual-page usr/share/man/*man8/cupsd-helper.8.gz
diff -pruN 2.3.3-2/debian/cups-server-common.lintian-overrides 2.3.3-3/debian/cups-server-common.lintian-overrides
--- 2.3.3-2/debian/cups-server-common.lintian-overrides	2020-07-29 07:20:56.000000000 +0000
+++ 2.3.3-3/debian/cups-server-common.lintian-overrides	2020-09-03 07:27:04.000000000 +0000
@@ -1,2 +1,3 @@
 cups-server-common: package-contains-empty-directory usr/share/cups/data/
 cups-server-common: package-contains-empty-directory usr/share/cups/model/
+cups-server-common: package-contains-documentation-outside-usr-share-doc usr/share/cups/doc-root/*
diff -pruN 2.3.3-2/debian/libcups2-dev.lintian-overrides 2.3.3-3/debian/libcups2-dev.lintian-overrides
--- 2.3.3-2/debian/libcups2-dev.lintian-overrides	1970-01-01 00:00:00.000000000 +0000
+++ 2.3.3-3/debian/libcups2-dev.lintian-overrides	2020-09-03 07:27:04.000000000 +0000
@@ -0,0 +1 @@
+libcups2-dev: old-style-config-script usr/bin/cups-config
diff -pruN 2.3.3-2/debian/libcups2.symbols 2.3.3-3/debian/libcups2.symbols
--- 2.3.3-2/debian/libcups2.symbols	2020-07-29 07:20:56.000000000 +0000
+++ 2.3.3-3/debian/libcups2.symbols	2020-09-03 07:27:04.000000000 +0000
@@ -1,4 +1,5 @@
 libcups.so.2 libcups2 #MINVER#
+* Build-Depends-Package: libcups2-dev
 # Keep these at the latest upstream release
  (optional|regex)"^_pwg.*@Base$" 2.3~b6
  (optional|regex)"^_cups.*@Base$" 2.3~b6
diff -pruN 2.3.3-2/debian/libcupsimage2.symbols 2.3.3-3/debian/libcupsimage2.symbols
--- 2.3.3-2/debian/libcupsimage2.symbols	2020-07-29 07:20:56.000000000 +0000
+++ 2.3.3-3/debian/libcupsimage2.symbols	2020-09-03 07:27:04.000000000 +0000
@@ -1,4 +1,5 @@
 libcupsimage.so.2 libcupsimage2 #MINVER#
+* Build-Depends-Package: libcupsimage2-dev
 # Keep this one at the latest upstream release
  (optional|regex)|^_cups.*@Base$" 1.6.2
  cupsRasterClose@Base 1.4.0
diff -pruN 2.3.3-2/debian/patches/0038-Resolve-DNS-SD-service-name-based-URIs-correctly-als.patch 2.3.3-3/debian/patches/0038-Resolve-DNS-SD-service-name-based-URIs-correctly-als.patch
--- 2.3.3-2/debian/patches/0038-Resolve-DNS-SD-service-name-based-URIs-correctly-als.patch	1970-01-01 00:00:00.000000000 +0000
+++ 2.3.3-3/debian/patches/0038-Resolve-DNS-SD-service-name-based-URIs-correctly-als.patch	2020-09-03 07:27:04.000000000 +0000
@@ -0,0 +1,71 @@
+From: Till Kamppeter <till.kamppeter@gmail.com>
+Date: Tue, 25 Aug 2020 21:34:00 +0200
+Subject: Resolve DNS-SD-service-name-based URIs correctly also if they are
+ from a service from localhost (like IPP-over-USB, Printer Application, ...)
+
+---
+ cups/http-support.c | 33 +++++++++++++++++++++++++++++----
+ 1 file changed, 29 insertions(+), 4 deletions(-)
+
+diff --git a/cups/http-support.c b/cups/http-support.c
+index 6317514..8eabaee 100644
+--- a/cups/http-support.c
++++ b/cups/http-support.c
+@@ -2483,7 +2483,7 @@ http_poll_cb(
+ static void
+ http_resolve_cb(
+     AvahiServiceResolver   *resolver,	/* I - Resolver (unused) */
+-    AvahiIfIndex           interface,	/* I - Interface index (unused) */
++    AvahiIfIndex           interface,	/* I - Interface index */
+     AvahiProtocol          protocol,	/* I - Network protocol (unused) */
+     AvahiResolverEvent     event,	/* I - Event (found, etc.) */
+     const char             *name,	/* I - Service name */
+@@ -2504,6 +2504,7 @@ http_resolve_cb(
+ 			*resdefault;	/* Default path */
+   char			resource[257],	/* Remote path */
+ 			fqdn[256];	/* FQDN of the .local name */
++  char			ifname[IF_NAMESIZE]; /* Interface name */
+   AvahiStringList	*pair;		/* Current TXT record key/value pair */
+   char			*value;		/* Value for "rp" key */
+   size_t		valueLen = 0;	/* Length of "rp" key */
+@@ -2630,13 +2631,37 @@ http_resolve_cb(
+     strlcpy(resource, resdefault, sizeof(resource));
+   }
+ 
++ /*
++  * Check whether the interface is the loopback interface ("lo"), in this
++  * case set "localhost" as the host name
++  */
++
++  if (!if_indextoname((unsigned int)interface, ifname))
++  {
++    if (uribuf->options & _HTTP_RESOLVE_STDERR)
++      fprintf(stderr,
++	      "DEBUG: Unable to find interface name for interface %d: %s\n",
++	      interface, strerror(errno));
++    DEBUG_printf(("Unable to find interface name for interface %d: %s\n",
++		  interface, strerror(errno)));
++    ifname[0] = '\0';
++  }
++
++  if (!strcmp(ifname, "lo")) {
++    if (uribuf->options & _HTTP_RESOLVE_STDERR)
++      fputs("DEBUG: Service comes from loopback interface \"lo\", setting \"localhost\" as host name.\n",
++	    stderr);
++    DEBUG_puts("Service comes from loopback interface \"lo\", setting \"localhost\" as host name.");
++    hostTarget = "localhost";
++  }
++
+  /*
+   * Lookup the FQDN if needed...
+   */
+ 
+-  if ((uribuf->options & _HTTP_RESOLVE_FQDN) &&
+-      (hostptr = hostTarget + strlen(hostTarget) - 6) > hostTarget &&
+-      !_cups_strcasecmp(hostptr, ".local"))
++  else if ((uribuf->options & _HTTP_RESOLVE_FQDN) &&
++	   (hostptr = hostTarget + strlen(hostTarget) - 6) > hostTarget &&
++	   !_cups_strcasecmp(hostptr, ".local"))
+   {
+    /*
+     * OK, we got a .local name but the caller needs a real domain.  Start by
diff -pruN 2.3.3-2/debian/patches/0039-Make-lpoptions-list-a-printer-s-options-correctly-al.patch 2.3.3-3/debian/patches/0039-Make-lpoptions-list-a-printer-s-options-correctly-al.patch
--- 2.3.3-2/debian/patches/0039-Make-lpoptions-list-a-printer-s-options-correctly-al.patch	1970-01-01 00:00:00.000000000 +0000
+++ 2.3.3-3/debian/patches/0039-Make-lpoptions-list-a-printer-s-options-correctly-al.patch	2020-09-03 07:27:04.000000000 +0000
@@ -0,0 +1,29 @@
+From: Till Kamppeter <till.kamppeter@gmail.com>
+Date: Tue, 25 Aug 2020 21:34:00 +0200
+Subject: Make lpoptions list a printer's options correctly also when CUPS is
+ running on an alternative port
+
+---
+ systemv/lpoptions.c | 3 +--
+ 1 file changed, 1 insertion(+), 2 deletions(-)
+
+diff --git a/systemv/lpoptions.c b/systemv/lpoptions.c
+index 08746c0..c55f281 100644
+--- a/systemv/lpoptions.c
++++ b/systemv/lpoptions.c
+@@ -480,14 +480,13 @@ static void
+ list_options(cups_dest_t *dest)		/* I - Destination to list */
+ {
+   http_t	*http;			/* Connection to destination */
+-  char		resource[1024];		/* Resource path */
+   int		i;			/* Looping var */
+   const char	*filename;		/* PPD filename */
+   ppd_file_t	*ppd;			/* PPD data */
+   ppd_group_t	*group;			/* Current group */
+ 
+ 
+-  if ((http = cupsConnectDest(dest, CUPS_DEST_FLAGS_NONE, 30000, NULL, resource, sizeof(resource), NULL, NULL)) == NULL)
++  if ((http = _cupsConnect()) == NULL)
+   {
+     _cupsLangPrintf(stderr, _("lpoptions: Unable to get PPD file for %s: %s"),
+ 		    dest->name, cupsLastErrorString());
diff -pruN 2.3.3-2/debian/patches/0040-Fix-fax-numbers-supplied-via-GTK-print-dialog-removi.patch 2.3.3-3/debian/patches/0040-Fix-fax-numbers-supplied-via-GTK-print-dialog-removi.patch
--- 2.3.3-2/debian/patches/0040-Fix-fax-numbers-supplied-via-GTK-print-dialog-removi.patch	1970-01-01 00:00:00.000000000 +0000
+++ 2.3.3-3/debian/patches/0040-Fix-fax-numbers-supplied-via-GTK-print-dialog-removi.patch	2020-09-03 07:27:04.000000000 +0000
@@ -0,0 +1,92 @@
+From: Till Kamppeter <till.kamppeter@gmail.com>
+Date: Wed, 26 Aug 2020 13:03:00 +0200
+Subject: Fix fax numbers supplied via GTK print dialog,
+ removing a "Custom." prefix;
+ do not choke if the GTK dialog sends "None" as phone number or pre-dial
+ prefix
+
+---
+ backend/ipp.c | 61 ++++++++++++++++++++++++++++++++++++++++++++++-------------
+ 1 file changed, 48 insertions(+), 13 deletions(-)
+
+diff --git a/backend/ipp.c b/backend/ipp.c
+index a99079e..d80d650 100644
+--- a/backend/ipp.c
++++ b/backend/ipp.c
+@@ -2828,7 +2828,19 @@ new_request(
+         */
+ 
+         _httpDecodeURI(phone, keyword, sizeof(phone));
+-        for (ptr = phone; *ptr;)
++	ptr = phone;
++
++	/* Weed out "Custom." in the beginning, this allows to put the
++	   "phone" option as custom string option into the PPD so that
++	   print dialogs not supporting fax display the option and
++	   allow entering the phone number. Print dialogs also send "None"
++	   if no phone number got entered, filter this, too. */
++	if (!_cups_strcasecmp(phone, "None"))
++	  *ptr = '\0';
++	if (!_cups_strncasecmp(phone, "Custom.", 7))
++	  _cups_strcpy(ptr, ptr + 7);
++
++        for (; *ptr;)
+ 	{
+ 	  if (*ptr == ',')
+ 	    *ptr = 'p';
+@@ -2838,20 +2850,43 @@ new_request(
+ 	    ptr ++;
+         }
+ 
+-        httpAssembleURI(HTTP_URI_CODING_ALL, tel_uri, sizeof(tel_uri), "tel", NULL, NULL, 0, phone);
+-        ippAddString(destination, IPP_TAG_JOB, IPP_TAG_URI, "destination-uri", NULL, tel_uri);
+-
+-	if ((keyword = cupsGetOption("faxPrefix", num_options,
+-	                             options)) != NULL && *keyword)
+-        {
+-	  char	predial[1024];		/* Pre-dial string */
++	if (strlen(phone) > 0)
++	{
++	  httpAssembleURI(HTTP_URI_CODING_ALL, tel_uri, sizeof(tel_uri),
++			  "tel", NULL, NULL, 0, phone);
++	  ippAddString(destination, IPP_TAG_JOB, IPP_TAG_URI,
++		       "destination-uri", NULL, tel_uri);
++	  fprintf(stderr, "DEBUG: Faxing to phone %s; destination-uri: %s\n",
++		  phone, tel_uri);
++
++	  if ((keyword = cupsGetOption("faxPrefix", num_options,
++				       options)) != NULL && *keyword)
++	  {
++	    char	predial[1024];		/* Pre-dial string */
++
++	    _httpDecodeURI(predial, keyword, sizeof(predial));
++	    ptr = predial;
++	    if (!_cups_strcasecmp(ptr, "None"))
++	      *ptr = '\0';
++	    if (!_cups_strncasecmp(ptr, "Custom.", 7))
++	      ptr += 7;
++	    if (strlen(ptr) > 0)
++	    {
++	      ippAddString(destination, IPP_TAG_JOB, IPP_TAG_TEXT,
++			   "pre-dial-string", NULL, ptr);
++	      fprintf(stderr, "DEBUG: Pre-dialing %s; pre-dial-string: %s\n",
++		      ptr, ptr);
++	    }
++	    else
++	      fprintf(stderr, "WARNING: Pre-dial number for fax not valid! Sending fax without pre-dial number.\n");
++	  }
+ 
+-	  _httpDecodeURI(predial, keyword, sizeof(predial));
+-	  ippAddString(destination, IPP_TAG_JOB, IPP_TAG_TEXT, "pre-dial-string", NULL, predial);
++	  ippAddCollection(request, IPP_TAG_JOB, "destination-uris",
++			   destination);
++	  ippDelete(destination);
+ 	}
+-
+-        ippAddCollection(request, IPP_TAG_JOB, "destination-uris", destination);
+-        ippDelete(destination);
++	else
++	  fprintf(stderr, "ERROR: Phone number for fax not valid! Fax cannot be sent.\n");
+       }
+     }
+     else
diff -pruN 2.3.3-2/debian/patches/0041-Let-the-rastertopwg-filter-check-rounding-errors-whe.patch 2.3.3-3/debian/patches/0041-Let-the-rastertopwg-filter-check-rounding-errors-whe.patch
--- 2.3.3-2/debian/patches/0041-Let-the-rastertopwg-filter-check-rounding-errors-whe.patch	1970-01-01 00:00:00.000000000 +0000
+++ 2.3.3-3/debian/patches/0041-Let-the-rastertopwg-filter-check-rounding-errors-whe.patch	2020-09-03 07:27:04.000000000 +0000
@@ -0,0 +1,77 @@
+From: Till Kamppeter <till.kamppeter@gmail.com>
+Date: Thu, 27 Aug 2020 10:22:00 +0200
+Subject: Let the rastertopwg filter check rounding errors when calculating
+ the page geometry
+
+---
+ filter/rastertopwg.c | 28 ++++++++++++++++++++++------
+ 1 file changed, 22 insertions(+), 6 deletions(-)
+
+diff --git a/filter/rastertopwg.c b/filter/rastertopwg.c
+index 1e63e4e..bffd89a 100644
+--- a/filter/rastertopwg.c
++++ b/filter/rastertopwg.c
+@@ -41,8 +41,10 @@ main(int  argc,				/* I - Number of command-line args */
+ 			page_top,	/* Top margin */
+ 			page_bottom,	/* Bottom margin */
+ 			page_left,	/* Left margin */
++			page_right,	/* Right margin */
+ 			linesize,	/* Bytes per line */
+ 			lineoffset;	/* Offset into line */
++  int			tmp;
+   unsigned char		white;		/* White pixel */
+   ppd_file_t		*ppd;		/* PPD file */
+   ppd_attr_t		*back;		/* cupsBackSide attribute */
+@@ -120,14 +122,30 @@ main(int  argc,				/* I - Number of command-line args */
+     fprintf(stderr, "PAGE: %d %d\n", page, inheader.NumCopies);
+ 
+     page_width  = (unsigned)(inheader.cupsPageSize[0] * inheader.HWResolution[0] / 72.0);
++    if (page_width < inheader.cupsWidth &&
++	page_width >= inheader.cupsWidth - 2)
++      page_width = (unsigned)inheader.cupsWidth;
+     page_height = (unsigned)(inheader.cupsPageSize[1] * inheader.HWResolution[1] / 72.0);
++    if (page_height < inheader.cupsHeight &&
++	page_height >= inheader.cupsHeight - 2)
++      page_height = (unsigned)inheader.cupsHeight;
+     page_left   = (unsigned)(inheader.cupsImagingBBox[0] * inheader.HWResolution[0] / 72.0);
+     page_bottom = (unsigned)(inheader.cupsImagingBBox[1] * inheader.HWResolution[1] / 72.0);
+-    page_top    = page_height - page_bottom - inheader.cupsHeight;
++    tmp        = (int)(page_height - page_bottom - inheader.cupsHeight);
++    if (tmp < 0 && tmp >= -2) /* Rounding error */
++      page_top = 0;
++    else
++      page_top = (unsigned)tmp;
++    tmp        = (int)(page_width - page_left - inheader.cupsWidth);
++    if (tmp < 0 && tmp >= -2) /* Rounding error */
++      page_right = 0;
++    else
++      page_right = (unsigned)tmp;
+     linesize    = (page_width * inheader.cupsBitsPerPixel + 7) / 8;
+     lineoffset  = page_left * inheader.cupsBitsPerPixel / 8; /* Round down */
+ 
+-    if (page_left > page_width || page_top > page_height || page_bottom > page_height)
++    fprintf(stderr, "DEBUG: In pixels: Width: %u  Height: %u  Left: %u  Right:  %u  Top: %u  Bottom: %u\n", page_width, page_height, page_left, page_right, page_top, page_bottom);
++    if (page_left > page_width || page_top > page_height || page_bottom > page_height || page_right > page_width)
+     {
+       _cupsLangPrintFilter(stderr, "ERROR", _("Unsupported raster data."));
+       fprintf(stderr, "DEBUG: Bad bottom/left/top margin on page %d.\n", page);
+@@ -291,8 +309,7 @@ main(int  argc,				/* I - Number of command-line args */
+ 	  outheader.cupsInteger[1] = ~0U;/* CrossFeedTransform */
+ 	  outheader.cupsInteger[2] = 1;	/* FeedTransform */
+ 
+-	  outheader.cupsInteger[3] = page_width - page_left -
+-	                             inheader.cupsWidth;
++	  outheader.cupsInteger[3] = page_right;
+ 					/* ImageBoxLeft */
+ 	  outheader.cupsInteger[4] = page_top;
+ 					/* ImageBoxTop */
+@@ -355,8 +372,7 @@ main(int  argc,				/* I - Number of command-line args */
+ 	  outheader.cupsInteger[1] = ~0U;/* CrossFeedTransform */
+ 	  outheader.cupsInteger[2] = ~0U;/* FeedTransform */
+ 
+-	  outheader.cupsInteger[3] = page_width - page_left -
+-	                             inheader.cupsWidth;
++	  outheader.cupsInteger[3] = page_right;
+ 					/* ImageBoxLeft */
+ 	  outheader.cupsInteger[4] = page_bottom;
+ 					/* ImageBoxTop */
diff -pruN 2.3.3-2/debian/patches/series 2.3.3-3/debian/patches/series
--- 2.3.3-2/debian/patches/series	2020-07-29 07:20:56.000000000 +0000
+++ 2.3.3-3/debian/patches/series	2020-09-03 07:27:04.000000000 +0000
@@ -35,3 +35,7 @@
 0035-Use-dpkg-architecture-in-cups-config-to-make-it-arch.patch
 0036-Build-mantohtml-with-the-build-architecture-compiler.patch
 0037-po4a-infrastructure-and-translations-for-manpages.patch
+0038-Resolve-DNS-SD-service-name-based-URIs-correctly-als.patch
+0039-Make-lpoptions-list-a-printer-s-options-correctly-al.patch
+0040-Fix-fax-numbers-supplied-via-GTK-print-dialog-removi.patch
+0041-Let-the-rastertopwg-filter-check-rounding-errors-whe.patch
diff -pruN 2.3.3-2/debian/tests/cups-basiccommands 2.3.3-3/debian/tests/cups-basiccommands
--- 2.3.3-2/debian/tests/cups-basiccommands	2020-07-29 07:20:56.000000000 +0000
+++ 2.3.3-3/debian/tests/cups-basiccommands	2020-09-03 07:27:04.000000000 +0000
@@ -51,6 +51,17 @@ cleanup() {
 
 trap cleanup EXIT INT
 
+
+# Configure the running CUPS server to do debug2 logging
+echo " - Setting CUPS into debug2 mode"
+sed -e 's/^.*LogLevel.*$/LogLevel debug2/g' -i /etc/cups/cupsd.conf
+# Configure the running CUPS server to allow root to do administrative tasks
+echo " - Setting CUPS to allow root to do administrative tasks"
+sed -e 's/^.*SystemGroup.*$/SystemGroup lpadmin root/g' -i /etc/cups/cups-files.conf
+# Restart CUPS
+echo " - Restarting CUPS to apply configuration changes"
+service cups restart
+
 echo " - Create printer $TPRN1"
 lpadmin -p $TPRN1 -v file:/dev/null -E -m $ML 2> $STDERR_FILE; filter_stderr_from_file $STDERR_FILE
 echo " - Set $TPRN1 default"
diff -pruN 2.3.3-2/debian/tests/utils/test-drivers 2.3.3-3/debian/tests/utils/test-drivers
--- 2.3.3-2/debian/tests/utils/test-drivers	2020-07-29 07:20:56.000000000 +0000
+++ 2.3.3-3/debian/tests/utils/test-drivers	2020-09-03 07:27:04.000000000 +0000
@@ -36,8 +36,12 @@ cleanup() {
 
 trap cleanup EXIT INT
 
+# Configure the running CUPS server to do debug2 logging
+sed -e 's/^.*LogLevel.*$/LogLevel debug2/g' -i /etc/cups/cupsd.conf
 # Configure the running CUPS server to set FileDevice to Yes
-sed -e 's/^#.*FileDevice.*$/FileDevice Yes/g' -i /etc/cups/cups-files.conf
+sed -e 's/^.*FileDevice.*$/FileDevice Yes/g' -i /etc/cups/cups-files.conf
+# Configure the running CUPS server to allow root to do administrative tasks
+sed -e 's/^.*SystemGroup.*$/SystemGroup lpadmin root/g' -i /etc/cups/cups-files.conf
 service cups restart
 
 DUMMY_PRINTER_STDERR_FILE=`mktemp`
